Summary: Allow users to mount files via loopback
Name: mountloop
Version: 0.15.4
Release: %mkrel 8
URL: http://www.mandriva.com/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Base
Requires: ssh-askpass, drakxtools, perl-MDK-Common, mount > 2.11r
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libx11-devel

%description
Allow users to mount encrypted loopback filesystems.

%prep
%setup -q

%build
%make CFLAGS="%optflags %ldflags"

cat > README.urpmi <<EOF
Using this package for encrypted loopback is deprecated and regarded as
unsafe. However, it's still provided for who need to access their data to
migrate their setup. Likely this package will be removed for Mageia 3.

We strongly advise you to switch to Luks.

As an example, one can look at this link:
http://www.ody.ca/~dwhodgins/Luks-Howto.html .
EOF

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=DrakLoop
Comment=Create encrypted folder
Exec=drakloop
Icon=%{name}
Terminal=false
Type=Application
Categories=System;
EOF

mkdir -p $RPM_BUILD_ROOT%_iconsdir $RPM_BUILD_ROOT%_miconsdir $RPM_BUILD_ROOT%_liconsdir
install -m 644 mountloop-20.png $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m 644 mountloop-32.png $RPM_BUILD_ROOT%_miconsdir/%name.png
install -m 644 mountloop-48.png $RPM_BUILD_ROOT%_liconsdir/%name.png

%{find_lang} drakloop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f drakloop.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS README.urpmi
%attr(4755,root,root) %{_bindir}/encsetup
%attr(4755,root,root) %{_bindir}/mountloop
%attr(4755,root,root) %{_bindir}/umountloop
%{_bindir}/drakloop
/etc/X11/xinit.d/*
/usr/X11R6/bin/*
%{_datadir}/applications/mageia-%{name}.desktop
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png



%changelog

* Sat Mar 10 2012 alien <alien> 0.15.4-8.mga2
+ Revision: 222460
+ rebuild (emptylog)

* Sat Mar 10 2012 alien <alien> 0.15.4-7.mga2
+ Revision: 222456
- Modify the warning as requested by mga#999

* Sat Mar 10 2012 alien <alien> 0.15.4-6.mga2
+ Revision: 222364
- Add a warning message to deprecate it.

* Mon Mar 28 2011 steletch <steletch> 0.15.4-5.mga1
+ Revision: 78608
- Clean spec file
- imported package mountloop

